Skip to main content
POST
/
api
/
v2
/
external
/
auth
/
api-keys
/
validate
Validate Api Key
curl --request POST \
  --url https://api.lyceum.technology/api/v2/external/auth/api-keys/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_key": "<string>"
}
'
{
  "valid": true,
  "user_id": "<string>",
  "email": "<string>",
  "key_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Body

application/json

Request model for API key validation

api_key
string
required

Response

Successful Response

Response model for API key validation

valid
boolean
required
user_id
string | null
email
string | null
key_name
string | null
created_at
string<date-time> | null
expires_at
string<date-time> | null
last_used_at
string<date-time> | null